Subject: Re: recommendation for patch maintenance

From: Manlio Perillo <[email-masked]>
Date: Fri, 21 Dec 2012 18:29:37 +0100

Il 21/12/2012 18:01, Junio C Hamano ha scritto:
> Manlio Perillo <[email-masked]> writes:
> 
>> I would like to have advices about some possible workflows to use when
>> maintaining a patch, that can evolve over the time (fixing bugs, and
>> applying advices from reviewers).
>>
> [...]
>> when I need to update the patch:
>>
>>   1) modify code
>>   2) commit --amend
>>   3) format-patch --subject-prefix="PATCH v<n>" \
>>      --output=mp/complete-patch master
>>   4) edit patch to add a list of what was changed
>>   5) review the patch
>>   6) send-email
>>
>> This is far from ideal, since all my local changes are lost.
> 
> Not offering any answer, but it is unclear to me what local changes
> you are losing here.  Care to explain?

I lose the history of all the changes I have made to produce the final
version of a patch.

Since for every new version of a patch I do a commit --amend, I can not
see, as an example, the changes I have made between x and y versions of
a patch.

Of course the commits are not really lost, but I have to search them
using the reflog.

Thanks   Manlio